Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBernie Innocenti <bernie@codewiz.org>2010-05-23 19:29:11 (GMT)
committer Bernie Innocenti <bernie@codewiz.org>2010-05-23 19:29:11 (GMT)
commit1cc2e56f56711e546fa939e00bf08f505761e05a (patch)
treeb64e04dacba5b64414ba2151c827fab30dbc61b0
parent7ca3fccc1a38a63e161377daee9b2a29718bb47a (diff)
Do not adjust dates of activitiesos233py
-rw-r--r--modules/base/preimage.90.core.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/modules/base/preimage.90.core.sh b/modules/base/preimage.90.core.sh
index 7f4baf0..e4af35c 100644
--- a/modules/base/preimage.90.core.sh
+++ b/modules/base/preimage.90.core.sh
@@ -93,7 +93,7 @@ find $fsmount/usr/share -xdev -name "*.py[oc]" -delete
# normalize mtimes of all files
echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
# now regenerate the .pyc files
# (add -OO to generate .pyo files instead when we tackle dlo trac #8431)
@@ -127,7 +127,7 @@ fi
# now normalize mtimes again
echo "Normalize file times..."
-find $fsmount -xdev -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
+find $fsmount -xdev -path $fsmount/home/olpc/Activities -prune -o -print0 | xargs -0 touch -c -d "$OLPC_EPOCH" || :
# now that we've generated the .contents file, its important that nobody
# makes any more changes to the files. let's try and be sure of that